summaryrefslogtreecommitdiffstats
path: root/sbin/natd/samples/natd.test
diff options
context:
space:
mode:
Diffstat (limited to 'sbin/natd/samples/natd.test')
-rw-r--r--sbin/natd/samples/natd.test14
1 files changed, 14 insertions, 0 deletions
diff --git a/sbin/natd/samples/natd.test b/sbin/natd/samples/natd.test
new file mode 100644
index 0000000..cfdbd15
--- /dev/null
+++ b/sbin/natd/samples/natd.test
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+ if [ $# != 1 ]
+ then
+ echo "usage: natd.test ifname"
+ exit 1
+ fi
+
+ ipfw flush
+ ipfw add divert 32000 ip from any to any via $1
+ ipfw add pass ip from any to any
+
+ ./natd -port 32000 -interface $1 -verbose
+
OpenPOWER on IntegriCloud